export class Profesor {
    constructor (
        public estado_perfil: string,
        public nombre: string,
        public email: string,
        public password: string,
        public role: boolean,
        public img?: string,
        public google?: string,
        public id?: string,
        public apellido?: string,
        public telefono?: string,
        public calificacion?: string,
        public perfil_linkedlin?: string,
        public resena?: string,
        public documents?: Array<any>,
        public documento_identidad?: string,
        public categoria?: string,
        public materia?: string,
        public titulo_prof?: string,
        public numero_nequi?: string,
        public numero_daviplata?: string,
        public banco?: string,
        public numero_cuenta?: string,
        public tipo_cuenta?: string,
        public precio_hora?: number,
        public tipo_identificacion?: string,
    ) {}
}